(function() {
    var ActionService = function() {
        // validation
        if (!window.services.settingService) throw "ActionService > The settingService isn't loaded.";
        var settingsService = window.services.settingService;

        var napiUrl = settingsService.getValue('napiUrl');
       

        var self = this;

        self.rebootApplication = function() {
            var rebootUrl = napiUrl + 'api/reboot';
            $.ajax({
                url: rebootUrl,
                type: 'GET',
                success: function(data) {
                }
            });
        }
    }
        

    window.services = window.services || {};
    window.services.actionService = window.services.actionService || new ActionService();
}());
